Package org.eclipse.cdt.utils.coff.parser

## Class CygwinPEBinaryObject64

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.coff.parser.PEBinaryObject64
        - - org.eclipse.cdt.utils.coff.parser.CygwinPEBinaryObject64

All Implemented Interfaces:
  `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`, `org.eclipse.core.runtime.IAdaptable`

Direct Known Subclasses:
  `CygwinPEBinaryExecutable64`, `CygwinPEBinaryShared64`

    public class CygwinPEBinaryObject64
    extends PEBinaryObject64

Since:
  6.9

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
`CygwinPEBinaryObject64​(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)`
`CygwinPEBinaryObject64​(IBinaryParser parser, org.eclipse.core.runtime.IPath path, AR.ARHeader header)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addSymbols​(Coff64.Symbol[] peSyms, byte[] table, List<Symbol> list)`
`<T> T` `getAdapter​(Class<T> adapter)`
`Addr2line` `getAddr2line​(boolean autodisposing)`
`InputStream` `getContents()`
`protected CPPFilt` `getCPPFilt()`
`protected CygPath` `getCygPath()`
`protected NM` `getNM()`
`protected Objdump` `getObjdump()`
`protected void` `loadSymbols​(PE64 pe)`

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEBinaryObject64

`getAddressFactory, getBinaryObjectInfo, getName, getPE, getSymbols, loadAll, loadInfo, loadInfo, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getCPU, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, isLittleEndian, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getPath, getType`

### Constructor Detail

#### CygwinPEBinaryObject64

    public CygwinPEBinaryObject64​(IBinaryParser parser,
                                  org.eclipse.core.runtime.IPath path,
                                  AR.ARHeader header)

Parameters:
  `parser` -
  `path` -
  `header` -

#### CygwinPEBinaryObject64

    public CygwinPEBinaryObject64​(IBinaryParser parser,
                                  org.eclipse.core.runtime.IPath path,
                                  int type)

### Method Detail

#### getAddr2line

    public Addr2line getAddr2line​(boolean autodisposing)

#### getCPPFilt

    protected CPPFilt getCPPFilt()

#### getObjdump

    protected Objdump getObjdump()

#### getCygPath

    protected CygPath getCygPath()

#### getNM

    protected NM getNM()

#### getContents

    public InputStream getContents()
                            throws IOException

Specified by:
  `getContents` in interface `IBinaryParser.IBinaryFile`
Overrides:
  `getContents` in class `PEBinaryObject64`
Returns:
  the binary contents.
Throws:
  `IOException`
See Also:
  `IBinaryParser.IBinaryFile.getContents()`

#### loadSymbols

    protected void loadSymbols​(PE64 pe)
                        throws IOException

Overrides:
  `loadSymbols` in class `PEBinaryObject64`
Throws:
  `IOException`

#### addSymbols

    protected void addSymbols​(Coff64.Symbol[] peSyms,
                              byte[] table,
                              List<Symbol> list)

Overrides:
  `addSymbols` in class `PEBinaryObject64`

#### getAdapter

    public <T> T getAdapter​(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `PEBinaryObject64`